package sprzedaz;

import javax.swing.*;
import java.math.BigDecimal;
import java.util.List;

public class SumaWJednymMiescie_Imperatywnie {
    public static void main(String[] args) {
        List<Rekord> lista = ObslugaCSV.wczytaj();
        String miasto = JOptionPane.showInputDialog("Podaj nazwę miasta");
        if(miasto == null) return;

        // Oblicz sumę wartości sprzedaży w podanym mieście
        // tutaj wersja "imperatywna" (pętla i if)
        // zrób też wersję "funkcyjną" w oparciu o stream i filter

        // wersja BigDecimal
        BigDecimal suma = BigDecimal.ZERO;
        for(Rekord r : lista) {
            if(miasto.equalsIgnoreCase(r.miasto())) {
                suma = suma.add(r.wartosc());
            }
        }

        // wersja double
        double sumaD = 0;
        for(Rekord r : lista) {
            if(miasto.equalsIgnoreCase(r.miasto())) {
                sumaD += r.wartoscDouble();
            }
        }

        JOptionPane.showMessageDialog(null,
                "Suma BD = " + suma + "\nSuma db = " + sumaD);
    }
}
